Bug 189013 - Review Request: python-sqlalchemy - Modular and flexible ORM library for python
Review Request: python-sqlalchemy - Modular and flexible ORM library for python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-14 13:36 EDT by Shahms E. King
Modified: 2011-07-12 08:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-24 10:42:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shahms E. King 2006-04-14 13:36:36 EDT
Spec URL: http://shahms.mesd.k12.or.us/packages/python-sqlalchemy.spec
SRPM URL: http://shahms.mesd.k12.or.us/packages/python-sqlalchemy-0.1.6-1.src.rpm
Description: 
SQLAlchemy is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases.  Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.
Comment 1 John Mahowald 2006-05-16 11:14:56 EDT
- rpmlint checks return:

W: python-sqlalchemy wrong-file-end-of-line-encoding
/usr/share/doc/python-sqlalchemy-0.1.6/doc/build/content/tutorial.txt
E: python-sqlalchemy wrong-script-end-of-line-encoding
/usr/share/doc/python-sqlalchemy-0.1.6/doc/build/runhtml.py
W: python-sqlalchemy wrong-file-end-of-line-encoding
/usr/share/doc/python-sqlalchemy-0.1.6/doc/build/testdocs.py
W: python-sqlalchemy wrong-file-end-of-line-encoding
/usr/share/doc/python-sqlalchemy-0.1.6/doc/build/txt2myt.py

Easily fixed with sed or perl.

W: python-sqlalchemy doc-file-dependency
/usr/share/doc/python-sqlalchemy-0.1.6/doc/build/runhtml.py /usr/bin/env

python will be installed, so this should be fine.

- package meets naming guidelines
- package meets packaging guidelines
- license (MIT) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream

Change source URL to download.sourceforge.net however, to automate downloads.

- package compiles on FC5 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- no need for .desktop file 

doc web server script thing doesn't work. 
$ ./runhtml.py
: No such file or directory

This is end of line problem as mentioned previously. Also, these scripts seem to
 convert and write html files, which fails due to permissions. You could
generate this html in your %install phase, elminating the need for these scripts.

Comment 2 Shahms E. King 2006-05-16 13:44:29 EDT
Thanks for looking at the packages. Considering all of the rpmlint problems were
related to the scripts for building the documentation (which is already built in
the source tar ball), they are removed and not installed with the actual
documentation. I also updated to the newest upstream version (0.1.7).
http://shahms.mesd.k12.or.us/packages/python-sqlalchemy.spec
http://shahms.mesd.k12.or.us/pacakges/python-sqlalchemy-0.1.7-1.src.rpm
Comment 3 John Mahowald 2006-05-17 20:57:57 EDT
rpmlint and I are happy now.

APPROVED
Comment 4 Toshio Kuratomi 2007-07-24 14:25:23 EDT
Package Change Request
======================
Package Name: python-sqlalchemy
New Branches: EL-5
Updated Fedora Owners:
shahms@shahms.com,toshio@tiki-lounge.com,ivazqueznet@gmail.com
Updated Fedora CC: 
Updated EPEL Owners: shahms@shahms.com,toshio@tiki-lounge.com,ivazqueznet@gmail.com

Officially adding comaintainers and branching for EPEL-5
Comment 5 Ignacio Vazquez-Abrams 2007-07-30 13:22:10 EDT
Package Change Request
======================
Package Name: python-sqlalchemy
Updated EPEL Owners: shahms@shahms.com,toshio@tiki-lounge.com
Comment 6 Jason Tibbitts 2007-07-30 13:47:51 EDT
CVS done.
Comment 7 Rahul Sundaram 2011-07-12 05:53:31 EDT
Package Change Request
======================
Package Name: python-sqlalchemy
New Branches: el6
Owners: sundaram pjp
InitialCC:
Comment 8 Jon Ciesla 2011-07-12 08:38:21 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.